norms.h File Reference
Module common
`#include <pcl/common/impl/norms.hpp>`

Go to the source code of this file.

## Detailed Description

Define standard C methods to calculate different norms.

Definition in file norms.h.

## Namespaces

| pcl

## Enumerations

enum | pcl::NormType { pcl::L1 , pcl::L2_SQR , pcl::L2 , pcl::LINF , pcl::JM , pcl::B , pcl::SUBLINEAR , pcl::CS , pcl::DIV , pcl::PF , pcl::K , pcl::KL , pcl::HIK }
| Enum that defines all the types of norms available. More...

## Functions

template<typename FloatVectorT >
float | pcl::selectNorm (FloatVectorT A, FloatVectorT B, int dim, NormType norm_type)
| Method that calculates any norm type available, based on the norm_type variable. More...
template<typename FloatVectorT >
float | pcl::L1_Norm (FloatVectorT A, FloatVectorT B, int dim)
| Compute the L1 norm of the vector between two points. More...
template<typename FloatVectorT >
float | pcl::L2_Norm_SQR (FloatVectorT A, FloatVectorT B, int dim)
| Compute the squared L2 norm of the vector between two points. More...
template<typename FloatVectorT >
float | pcl::L2_Norm (FloatVectorT A, FloatVectorT B, int dim)
| Compute the L2 norm of the vector between two points. More...
template<typename FloatVectorT >
float | pcl::Linf_Norm (FloatVectorT A, FloatVectorT B, int dim)
| Compute the L-infinity norm of the vector between two points. More...
template<typename FloatVectorT >
float | pcl::JM_Norm (FloatVectorT A, FloatVectorT B, int dim)
| Compute the JM norm of the vector between two points. More...
template<typename FloatVectorT >
float | pcl::B_Norm (FloatVectorT A, FloatVectorT B, int dim)
| Compute the B norm of the vector between two points. More...
template<typename FloatVectorT >
float | pcl::Sublinear_Norm (FloatVectorT A, FloatVectorT B, int dim)
| Compute the sublinear norm of the vector between two points. More...
template<typename FloatVectorT >
float | pcl::CS_Norm (FloatVectorT A, FloatVectorT B, int dim)
| Compute the CS norm of the vector between two points. More...
template<typename FloatVectorT >
float | pcl::Div_Norm (FloatVectorT A, FloatVectorT B, int dim)
| Compute the div norm of the vector between two points. More...
template<typename FloatVectorT >
float | pcl::PF_Norm (FloatVectorT A, FloatVectorT B, int dim, float P1, float P2)
| Compute the PF norm of the vector between two points. More...
template<typename FloatVectorT >
float | pcl::K_Norm (FloatVectorT A, FloatVectorT B, int dim, float P1, float P2)
| Compute the K norm of the vector between two points. More...
template<typename FloatVectorT >
float | pcl::KL_Norm (FloatVectorT A, FloatVectorT B, int dim)
| Compute the KL between two discrete probability density functions. More...
template<typename FloatVectorT >
float | pcl::HIK_Norm (FloatVectorT A, FloatVectorT B, int dim)
| Compute the HIK norm of the vector between two points. More...